#
# spec file for package python3-arclib
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-arclib
Version:        0.1
Release:        1.5
License:        MIT
Summary:        A unified API for accessing Python's compression formats
Url:            https://github.com/kirbyfan64/arclib
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/a/arclib/arclib-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
arclib aims at providing a unified API for accessing Python's archive formats. In
particular, it provides the following APIs:

- Basic, one-shot: For gzip, bzip2, and LZMA. Supports one-shot compression and
  decompression.
- Basic, incremental: For bzip2 and LZMA. Supports incremental compression and
  decompression.
- Complex: For zip and tar. Supports accessing the various members and their
  respective information.

%prep
%setup -q -n arclib-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
pushd tests
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test .
popd

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Tue Aug  2 2016 toddrme2178@gmail.com
- Initial version
